Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001250KdenliveRenderingpublic2009-11-07 19:462010-02-20 08:17
Reporterttill 
Assigned Toj-b-m 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSArch LinuxOS Versioncurrent
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0001250: Rendering fails at 99%
DescriptionUsing kdenlive and ffmpeg from svn and mlt from git rendering fails after resting very long (compared to the rest of the rendering process) at 99%.

This might be the same problem as
http://www.kdenlive.org/mantis/view.php?id=1242 [^]


The error log:
Rendering of /home/till/kdenlive/untitled.mp4 crashed
*** glibc detected *** /usr/bin/melt: free(): invalid pointer: 0x0000000002c6f060 ***
======= Backtrace: =========
/lib/libc.so.6[0x7f780ffa73a6]
/lib/libc.so.6(cfree+0x6c)[0x7f780ffabcec]
/usr/lib/libavutil.so.50(av_freep+0xc)[0x7f78081fd1ac]
/usr/lib/libavcodec.so.52(MPV_common_end+0x14d)[0x7f7808539a7d]
/usr/lib/libavcodec.so.52(MPV_encode_end+0x20)[0x7f780843cb79]
/usr/lib/libavcodec.so.52(avcodec_close+0x60)[0x7f78084ea3a0]
/usr/lib/mlt/libmltavformat.so[0x7f78092815b5]
/lib/libpthread.so.0[0x7f781028f57a]
/lib/libc.so.6(clone+0x6d)[0x7f78100018ed]
======= Memory map: ========
00400000-00405000 r-xp 00000000 08:01 56711 /usr/bin/melt 00604000-00605000 rw-p 00004000 08:01 56711 /usr/bin/melt 0225b000-10586000 rw-p 00000000 00:00 0 [heap] 7f77e5bd7000-7f77f0000000 rw-p 00000000 00:00 0 7f77f0000000-7f77f0021000 rw-p 00000000 00:00 0 7f77f0021000-7f77f4000000 ---p 00000000 00:00 0 7f77f43ae000-7f77ff7db000 rw-p 00000000 00:00 0 7f77ff7db000-7f77ff7dc000 ---p 00000000 00:00 0 7f77ff7dc000-7f77fffdc000 rwxp 00000000 00:00 0 7f77fffdc000-7f78002d4000 rw-p 00000000 00:00 0 7f78002d4000-7f78002d5000 ---p 00000000 00:00 0 7f78002d5000-7f7800ad5000 rwxp 00000000 00:00 0 7f7800ad5000-7f7800ada000 r-xp 00000000 08:01 206364 /usr/lib/mlt/libmltdv.so 7f7800ada000-7f7800cd9000 ---p 00005000 08:01 206364 /usr/lib/mlt/libmltdv.so 7f7800cd9000-7f7800cda000 rw-p 00004000 08:01 206364 /usr/lib/mlt/libmltdv.so 7f7800cda000-7f7800cf5000 r-xp 0000
0000 08:01 90281 /usr/lib/libdv.so.4.0.3 7f7800cf5000-7f7800ef5000 ---p 0001b000 08:01 90281 /usr/lib/libdv.so.4.0.3 7f7800ef5000-7f7800ef8000 rw-p 0001b000 08:01 90281 /usr/lib/libdv.so.4.0.3 7f7800ef8000-7f7800f05000 rw-p 00000000 00:00 0 7f7800f05000-7f7800f7f000 r-xp 00000000 08:01 14248 /usr/lib/libquicktime.so.0.0.0 7f7800f7f000-7f780117e000 ---p 0007a000 08:01 14248 /usr/lib/libquicktime.so.0.0.0 7f780117e000-7f7801182000 rw-p 00079000 08:01 14248 /usr/lib/libquicktime.so.0.0.0 7f7801182000-7f7801183000 rw-p 00000000 00:00 0 7f7801183000-7f780119a000 r-xp 00000000 08:01 206363 /usr/lib/mlt/libmltkino.so 7f780119a000-7f7801399000 ---p 00017000 08:01 206363 /usr/lib/mlt/libmltkino.so 7f7801399000-7f780139b000 rw-p 00016000 08:01 206363 /usr/lib/mlt/libmltkino.so 7f780139b000-7f78013a5000 r-xp 00000000 08:01 206362
/usr/lib/mlt/libmltxml.so 7f78013a5000-7f78015a4000 ---p 0000a000 08:01 206362 /usr/lib/mlt/libmltxml.so 7f78015a4000-7f78015a5000 rw-p 00009000 08:01 206362 /usr/lib/mlt/libmltxml.so 7f78015a5000-7f78015af000 r-xp 00000000 08:01 206361 /usr/lib/mlt/libmltmotion_est.so 7f78015af000-7f78017ae000 ---p 0000a000 08:01 206361 /usr/lib/mlt/libmltmotion_est.so 7f78017ae000-7f78017af000 rw-p 00009000 08:01 206361 /usr/lib/mlt/libmltmotion_est.so 7f78017af000-7f780191a000 r-xp 00000000 08:01 20914 /usr/lib/libsamplerate.so.0.1.7 7f780191a000-7f7801b19000 ---p 0016b000 08:01 20914 /usr/lib/libsamplerate.so.0.1.7 7f7801b19000-7f7801b1a000 rw-p 0016a000 08:01 20914 /usr/lib/libsamplerate.so.0.1.7 7f7801b1a000-7f7801b1c000 r-xp 00000000 08:01 206360 /usr/lib/mlt/libmltresample.so 7f7801b1c000-7f7801d1b000 ---p 00002000 08:01 20
6360 /usr/lib/mlt/libmltresample.so 7f7801d1b000-7f7801d1c000 rw-p 00001000 08:01 206360 /usr/lib/mlt/libmltresample.so 7f7801d1c000-7f7801d1e000 r-xp 00000000 08:01 206359 /usr/lib/mlt/libmltnormalize.so 7f7801d1e000-7f7801f1e000 ---p 00002000 08:01 206359 /usr/lib/mlt/libmltnormalize.so 7f7801f1e000-7f7801f1f000 rw-p 00002000 08:01 206359 /usr/lib/mlt/libmltnormalize.so 7f7801f1f000-7f7801f23000 r-xp 00000000 08:01 206358 /usr/lib/mlt/libmltoldfilm.so 7f7801f23000-7f7802122000 ---p 00004000 08:01 206358 /usr/lib/mlt/libmltoldfilm.so 7f7802122000-7f7802123000 rw-p 00003000 08:01 206358 /usr/lib/mlt/libmltoldfilm.so 7f7802123000-7f7802127000 r-xp 00000000 08:01 206357 /usr/lib/mlt/libmltvmfx.so 7f7802127000-7f7802326000 ---p 00004000 08:01 206357 /usr/lib/mlt/libmltvmfx.so 7f7802326000-7f7802327000 rw-p 00003000
08:01 206357 /usr/lib/mlt/libmltvmfx.so 7f7802327000-7f7802329000 r-xp 00000000 08:01 206356 /usr/lib/mlt/libmltxine.so 7f7802329000-7f7802529000 ---p 00002000 08:01 206356 /usr/lib/mlt/libmltxine.so 7f7802529000-7f780252a000 rw-p 00002000 08:01 206356 /usr/lib/mlt/libmltxine.so 7f780252a000-7f7802537000 r-xp 00000000 08:01 590 /usr/lib/libgomp.so.1.0.0 7f7802537000-7f7802736000 ---p 0000d000 08:01 590 /usr/lib/libgomp.so.1.0.0 7f7802736000-7f7802737000 rw-p 0000c000 08:01 590 /usr/lib/libgomp.so.1.0.0 7f7802737000-7f7802751000 r-xp 00000000 08:01 8856 /usr/lib/libmagic.so.1.0.0 7f7802751000-7f7802951000 ---p 0001a000 08:01 8856 /usr/lib/libmagic.so.1.0.0 7f7802951000-7f7802952000 rw-p 0001a000 08:01 8856 /usr/lib/libmagic.so.1.0.0 7f7802952000-7f780295b000 r-xp 00000000 08:01 3033
/usr/lib/libltdl.so.7.2.0 7f780295b000-7f7802b5a000 ---p 00009000 08:01 3033 /usr/lib/libltdl.so.7.2.0 7f7802b5a000-7f7802b5b000 rw-p 00008000 08:01 3033 /usr/lib/libltdl.so.7.2.0 7f7802b5b000-7f7802bec000 r-xp 00000000 08:01 33883 /usr/lib/libsox.so.1.0.0 7f7802bec000-7f7802dec000 ---p 00091000 08:01 33883 /usr/lib/libsox.so.1.0.0 7f7802dec000-7f7802df2000 rw-p 00091000 08:01 33883 /usr/lib/libsox.so.1.0.0 7f7802df2000-7f7802df3000 rw-p 00000000 00:00 0 7f7802df3000-7f7802df5000 r-xp 00000000 08:01 206355 /usr/lib/mlt/libmltsox.so 7f7802df5000-7f7802ff4000 ---p 00002000 08:01 206355 /usr/lib/mlt/libmltsox.so 7f7802ff4000-7f7802ff5000 rw-p 00001000 08:01 206355 /usr/lib/mlt/libmltsox.so 7f7802ff5000-7f780300b000 r-xp 00000000 08:01 206354 /usr/lib/mlt/libmltcore.so 7f780300b000-7f780320a000 ---p 00016000 08:01 206354
/usr/lib/mlt/libmltcore.so 7f780320a000-7f780320b000 rw-p 00015000 08:01 206354 /usr/lib/mlt/libmltcore.so 7f780320b000-7f780321e000 r-xp 00000000 08:01 731 /lib/libresolv-2.10.1.so 7f780321e000-7f780341d000 ---p 00013000 08:01 731 /lib/libresolv-2.10.1.so 7f780341d000-7f780341e000 r--p 00012000 08:01 731 /lib/libresolv-2.10.1.so 7f780341e000-7f780341f000 rw-p 00013000 08:01 731 /lib/libresolv-2.10.1.so 7f780341f000-7f7803421000 rw-p 00000000 00:00 0 7f7803421000-7f7803428000 r-xp 00000000 08:01 21267 /usr/lib/libxcb-render.so.0.0.0 7f7803428000-7f7803628000 ---p 00007000 08:01 21267 /usr/lib/libxcb-render.so.0.0.0 7f7803628000-7f7803629000 rw-p 00007000 08:01 21267 /usr/lib/libxcb-render.so.0.0.0 7f7803629000-7f780362c000 r-xp 00000000 08:01 25601 /usr/lib/libxcb-render-util.so.0.0.0 7f780362c000
-7f780382b000 ---p 00003000 08:01 25601 /usr/lib/libxcb-render-util.so.0.0.0 7f780382b000-7f780382c000 rw-p 00002000 08:01 25601 /usr/lib/libxcb-render-util.so.0.0.0 7f780382c000-7f7803882000 r-xp 00000000 08:01 29365 /usr/lib/libpixman-1.so.0.16.2 7f7803882000-7f7803a82000 ---p 00056000 08:01 29365 /usr/lib/libpixman-1.so.0.16.2 7f7803a82000-7f7803a85000 rw-p 00056000 08:01 29365 /usr/lib/libpixman-1.so.0.16.2 7f7803a85000-7f7803a88000 r-xp 00000000 08:01 35638 /usr/lib/libgmodule-2.0.so.0.2200.2 7f7803a88000-7f7803c87000 ---p 00003000 08:01 35638 /usr/lib/libgmodule-2.0.so.0.2200.2 7f7803c87000-7f7803c88000 rw-p 00002000 08:01 35638 /usr/lib/libgmodule-2.0.so.0.2200.2 7f7803c88000-7f7803d2a000 r-xp 00000000 08:01 35640 /usr/lib/libgio-2.0.so.0.2200.2 7f7803d2a000-7f7803f29000 ---p 000a2000 08:01 35640
/usr/lib/libgio-2.0.so.0.2200.2 7f7803f29000-7f7803f2c000 rw-p 000a1000 08:01 35640 /usr/lib/libgio-2.0.so.0.2200.2 7f7803f2c000-7f7803f2d000 rw-p 00000000 00:00 0 7f7803f2d000-7f7803fa7000 r-xp 00000000 08:01 38540 /usr/lib/libcairo.so.2.10800.8 7f7803fa7000-7f78041a6000 ---p 0007a000 08:01 38540 /usr/lib/libcairo.so.2.10800.8 7f78041a6000-7f78041a9000 rw-p 00079000 08:01 38540 /usr/lib/libcairo.so.2.10800.8 7f78041a9000-7f78041ae000 r-xp 00000000 08:01 42773 /usr/lib/libXfixes.so.3.1.0 7f78041ae000-7f78043ad000 ---p 00005000 08:01 42773 /usr/lib/libXfixes.so.3.1.0 7f78043ad000-7f78043ae000 rw-p 00004000 08:01 42773 /usr/lib/libXfixes.so.3.1.0 7f78043ae000-7f78043b0000 r-xp 00000000 08:01 56453 /usr/lib/libXdamage.so.1.1.0 7f78043b0000-7f78045af000 ---p 00002000 08:01 56453 /usr/lib/libXdamage.so.1.1.0 7f78045af000-7f780
45b0000 rw-p 00001000 08:01 56453 /usr/lib/libXdamage.so.1.1.0 7f78045b0000-7f78045b2000 r-xp 00000000 08:01 56430 /usr/lib/libXcomposite.so.1.0.0 7f78045b2000-7f78047b1000 ---p 00002000 08:01 56430 /usr/lib/libXcomposite.so.1.0.0 7f78047b1000-7f78047b2000 rw-p 00001000 08:01 56430 /usr/lib/libXcomposite.so.1.0.0 7f78047b2000-7f78047bb000 r-xp 00000000 08:01 29243 /usr/lib/libXcursor.so.1.0.2 7f78047bb000-7f78049ba000 ---p 00009000 08:01 29243 /usr/lib/libXcursor.so.1.0.2 7f78049ba000-7f78049bb000 rw-p 00008000 08:01 29243 /usr/lib/libXcursor.so.1.0.2 7f78049bb000-7f78049c3000 r-xp 00000000 08:01 55356 /usr/lib/libXrandr.so.2.2.0 7f78049c3000-7f7804bc2000 ---p 00008000 08:01 55356 /usr/lib/libXrandr.so.2.2.0 7f7804bc2000-7f7804bc3000 rw-p 00007000 08:01 55356 /usr/lib/libXrandr.so.2.2.0 7f7804bc3000-7f7
804bd1000 r-xp 00000000 08:01 21191 /usr/lib/libXi.so.6.1.0 7f7804bd1000-7f7804dd0000 ---p 0000e000 08:01 21191 /usr/lib/libXi.so.6.1.0 7f7804dd0000-7f7804dd1000 rw-p 0000d000 08:01 21191 /usr/lib/libXi.so.6.1.0 7f7804dd1000-7f7804dd3000 r-xp 00000000 08:01 29283 /usr/lib/libXinerama.so.1.0.0 7f7804dd3000-7f7804fd2000 ---p 00002000 08:01 29283 /usr/lib/libXinerama.so.1.0.0 7f7804fd2000-7f7804fd3000 rw-p 00001000 08:01 29283 /usr/lib/libXinerama.so.1.0.0 7f7804fd3000-7f7804fde000 r-xp 00000000 08:01 12238 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f7804fde000-7f78051dd000 ---p 0000b000 08:01 12238 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f78051dd000-7f78051de000 rw-p 0000a000 08:01 12238 /usr/lib/libpangocairo-1.0.so.0.2600.0 7f78051de000-7f7805224000 r-xp 00000000 08:01 12235 /usr/lib/libpango-1.0.so.0.2600
.0 7f7805224000-7f7805424000 ---p 00046000 08:01 12235 /usr/lib/libpango-1.0.so.0.2600.0 7f7805424000-7f7805427000 rw-p 00046000 08:01 12235 /usr/lib/libpango-1.0.so.0.2600.0 7f7805427000-7f7805444000 r-xp 00000000 08:01 69156 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f7805444000-7f7805644000 ---p 0001d000 08:01 69156 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f7805644000-7f7805645000 rw-p 0001d000 08:01 69156 /usr/lib/libgdk_pixbuf-2.0.so.0.1800.3 7f7805645000-7f780566c000 r-xp 00000000 08:01 12230 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f780566c000-7f780586b000 ---p 00027000 08:01 12230 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f780586b000-7f780586d000 rw-p 00026000 08:01 12230 /usr/lib/libpangoft2-1.0.so.0.2600.0 7f780586d000-7f7805911000 r-xp 00000000 08:01 69154 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f7805911000-7f7805b11000 ---p 0
00a4000 08:01 69154 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f7805b11000-7f7805b16000 rw-p 000a4000 08:01 69154 /usr/lib/libgdk-x11-2.0.so.0.1800.3 7f7805b16000-7f7805b1e000 r-xp 00000000 08:01 206353 /usr/lib/mlt/libmltgtk2.so 7f7805b1e000-7f7805d1e000 ---p 00008000 08:01 206353 /usr/lib/mlt/libmltgtk2.so 7f7805d1e000-7f7805d1f000 rw-p 00008000 08:01 206353 /usr/lib/mlt/libmltgtk2.so 7f7805d1f000-7f7805d23000 r-xp 00000000 08:01 206352 /usr/lib/mlt/libmltfrei0r.so 7f7805d23000-7f7805f23000 ---p 00004000 08:01 206352 /usr/lib/mlt/libmltfrei0r.so 7f7805f23000-7f7805f24000 rw-p 00004000 08:01 206352 /usr/lib/mlt/libmltfrei0r.so 7f7805f24000-7f7805f97000 r-xp 00000000 08:01 78721 /usr/lib/liboil-0.3.so.0.3.0 7f7805f97000-7f7806196000 ---p 00073000 08:01 78721 /usr/lib/liboil-0.3.so.0.3.0 7f7806196000-7f78061b2000 rw
-p 00072000 08:01 78721 /usr/lib/liboil-0.3.so.0.3.0 7f78061b2000-7f78061b4000 rw-p 00000000 00:00 0 7f78061b4000-7f780625d000 r-xp 00000000 08:01 128194 /usr/lib/libmp4v2.so.0.0.0 7f780625d000-7f780645d000 ---p 000a9000 08:01 128194 /usr/lib/libmp4v2.so.0.0.0 7f780645d000-7f7806463000 rw-p 000a9000 08:01 128194 /usr/lib/libmp4v2.so.0.0.0 7f7806463000-7f78064fb000 r-xp 00000000 08:01 128217 /usr/lib/libxvidcore.so.4.2 7f78064fb000-7f78066fa000 ---p 00098000 08:01 128217 /usr/lib/libxvidcore.so.4.2 7f78066fa000-7f7806705000 rw-p 00097000 08:01 128217 /usr/lib/libxvidcore.so.4.2 7f7806705000-7f780676f000 rw-p 00000000 00:00 0 7f780676f000-7f78067f5000 r-xp 00000000 08:01 56708 /usr/lib/libx264.so.78 7f78067f5000-7f78069f4000 ---p 00086000 08:01 56708 /usr/lib/libx264.so.78 7f78069f4000-7f78069f6000 rw-p 00085000 08:01 56708
/usr/lib/libx264.so.78 7f78069f6000-7f78069fd000 rw-p 00000000 00:00 0 7f78069fd000-7f7806bbf000 r-xp 00000000 08:01 29081 /usr/lib/libvorbisenc.so.2.0.6 7f7806bbf000-7f7806dbe000 ---p 001c2000 08:01 29081 /usr/lib/libvorbisenc.so.2.0.6 7f7806dbe000-7f7806dd5000 rw-p 001c1000 08:01 29081 /usr/lib/libvorbisenc.so.2.0.6 7f7806dd5000-7f7806e21000 r-xp 00000000 08:01 61647 /usr/lib/libtheora.so.0.3.10 7f7806e21000-7f7807021000 ---p 0004c000 08:01 61647 /usr/lib/libtheora.so.0.3.10 7f7807021000-7f7807022000 rw-p 0004c000 08:01 61647 /usr/lib/libtheora.so.0.3.10 7f7807022000-7f780703a000 r-xp 00000000 08:01 90237 /usr/lib/libspeex.so.1.5.0 7f780703a000-7f780723a000 ---p 00018000 08:01 90237 /usr/lib/libspeex.so.1.5.0 7f780723a000-7f780723b000 rw-p 00018000 08:01 90237 /usr/lib/libspeex.so.1.5.0 7f780723b000-7f780
72c6000 r-xp 00000000 08:01 33959 /usr/lib/libschroedinger-1.0.so.0.2.0 7f78072c6000-7f78074c6000 ---p 0008b000 08:01 33959 /usr/lib/libschroedinger-1.0.so.0.2.0 7f78074c6000-7f78074c9000 rw-p 0008b000 08:01 33959 /usr/lib/libschroedinger-1.0.so.0.2.0 7f78074c9000-7f78074e8000 r-xp 00000000 08:01 104565 /usr/lib/libopenjpeg-2.1.3.0.so 7f78074e8000-7f78076e7000 ---p 0001f000 08:01 104565 /usr/lib/libopenjpeg-2.1.3.0.so 7f78076e7000-7f78076e9000 rw-p 0001e000 08:01 104565 /usr/lib/libopenjpeg-2.1.3.0.so 7f78076e9000-7f780772f000 r-xp 00000000 08:01 121090 /usr/lib/libmp3lame.so.0.0.0 7f780772f000-7f780792f000 ---p 00046000 08:01 121090 /usr/lib/libmp3lame.so.0.0.0 7f780792f000-7f7807931000 rw-p 00046000 08:01 121090 /usr/lib/libmp3lame.so.0.0.0 7f7807931000-7f7807962000 rw-p 00000000 00:00 0 7f7807962000-7f78079a1000 r-xp 00000000
08:01 128151 /usr/lib/libfaad.so.2.0.0 7f78079a1000-7f7807ba0000 ---p 0003f000 08:01 128151 /usr/lib/libfaad.so.2.0.0 7f7807ba0000-7f7807ba3000 rw-p 0003e000 08:01 128151 /usr/lib/libfaad.so.2.0.0 7f7807ba3000-7f7807bb2000 r-xp 00000000 08:01 128204 /usr/lib/libfaac.so.0.0.0 7f7807bb2000-7f7807db2000 ---p 0000f000 08:01 128204 /usr/lib/libfaac.so.0.0.0 7f7807db2000-7f7807db5000 rw-p 0000f000 08:01 128204 /usr/lib/libfaac.so.0.0.0 7f7807db5000-7f7807dc4000 r-xp 00000000 08:01 6875 /lib/libbz2.so.1.0.4 7f7807dc4000-7f7807fc3000 ---p 0000f000 08:01 6875 /lib/libbz2.so.1.0.4 7f7807fc3000-7f7807fc5000 rw-p 0000e000 08:01 6875 /lib/libbz2.so.1.0.4 7f7807fc5000-7f7807ff6000 r-xp 00000000 08:01 58156 /usr/lib/libswscale.so.0.7.1 7f7807ff6000-7f78081f6000 ---p 00031000 08:01 58156 /usr/lib/lib
swscale.so.0.7.1 7f78081f6000-7f78081f7000 rw-p 00031000 08:01 58156 /usr/lib/libswscale.so.0.7.1 7f78081f7000-7f7808202000 r-xp 00000000 08:01 58011 /usr/lib/libavutil.so.50.3.0 7f7808202000-7f7808401000 ---p 0000b000 08:01 58011 /usr/lib/libavutil.so.50.3.0 7f7808401000-7f7808403000 rw-p 0000a000 08:01 58011 /usr/lib/libavutil.so.50.3.0 7f7808403000-7f7808406000 rw-p 00000000 00:00 0 7f7808406000-7f7808962000 r-xp 00000000 08:01 58026 /usr/lib/libavcodec.so.52.37.1 7f7808962000-7f7808b62000 ---p 0055c000 08:01 58026 /usr/lib/libavcodec.so.52.37.1 7f7808b62000-7f7808b7b000 rw-p 0055c000 08:01 58026 /usr/lib/libavcodec.so.52.37.1 7f7808b7b000-7f7808fc3000 rw-p 00000000 00:00 0 7f7808fc3000-7f780906a000 r-xp 00000000 08:01 58014 /usr/lib/libavformat.so.52.39.2 7f780906a000-7f780926a000 ---p 000a7000 08:01 58014 /usr/lib/li
bavformat.so.52.39.2 7f780926a000-7f7809276000 rw-p 000a7000 08:01 58014 /usr/lib/libavformat.so.52.39.2 7f7809276000-7f7809284000 r-xp 00000000 08:01 206351 /usr/lib/mlt/libmltavformat.so 7f7809284000-7f7809483000 ---p 0000e000 08:01 206351 /usr/lib/mlt/libmltavformat.so 7f7809483000-7f7809484000 rw-p 0000d000 08:01 206351 /usr/lib/mlt/libmltavformat.so 7f7809484000-7f7809486000 r-xp 00000000 08:01 206350 /usr/lib/mlt/libmlteffectv.so 7f7809486000-7f7809686000 ---p 00002000 08:01 206350 /usr/lib/mlt/libmlteffectv.so 7f7809686000-7f7809687000 rw-p 00002000 08:01 206350 /usr/lib/mlt/libmlteffectv.so 7f7809687000-7f780968a000 r-xp 00000000 08:01 206349 /usr/lib/mlt/libmltmelt.so 7f780968a000-7f780988a000 ---p 00003000 08:01 206349 /usr/lib/mlt/libmltmelt.so 7f780988a000-7f780988b000 rw-p 00003000 08:01 206349 /usr
/lib/mlt/libmltmelt.so 7f780988b000-7f7809890000 r-xp 00000000 08:01 206348 /usr/lib/mlt/libmltkdenlive.so 7f7809890000-7f7809a8f000 ---p 00005000 08:01 206348 /usr/lib/mlt/libmltkdenlive.so 7f7809a8f000-7f7809a90000 rw-p 00004000 08:01 206348 /usr/lib/mlt/libmltkdenlive.so 7f7809a90000-7f7809ab7000 r-xp 00000000 08:01 8691 /usr/lib/libexpat.so.1.5.2 7f7809ab7000-7f7809cb6000 ---p 00027000 08:01 8691 /usr/lib/libexpat.so.1.5.2 7f7809cb6000-7f7809cb9000 rw-p 00026000 08:01 8691 /usr/lib/libexpat.so.1.5.2 7f7809cb9000-7f7809cbc000 r-xp 00000000 08:01 14641 /lib/libuuid.so.1.3.0 7f7809cbc000-7f7809ebc000 ---p 00003000 08:01 14641 /lib/libuuid.so.1.3.0 7f7809ebc000-7f7809ebd000 rw-p 00003000 08:01 14641 /lib/libuuid.so.1.3.0 7f7809ebd000-7f7809ec1000 r-xp 00000000 08:01 35645 /usr/lib/libgthread-2.0.so.0.22
00.2 7f7809ec1000-7f780a0c0000 ---p 00004000 08:01 35645 /usr/lib/libgthread-2.0.so.0.2200.2 7f780a0c0000-7f780a0c1000 rw-p 00003000 08:01 35645 /usr/lib/libgthread-2.0.so.0.2200.2 7f780a0c1000-7f780a0d2000 r-xp 00000000 08:01 54672 /usr/lib/libXext.so.6.4.0 7f780a0d2000-7f780a2d2000 ---p 00011000 08:01 54672 /usr/lib/libXext.so.6.4.0 7f780a2d2000-7f780a2d3000 rw-p 00011000 08:01 54672 /usr/lib/libXext.so.6.4.0 7f780a2d3000-7f780a303000 r-xp 00000000 08:01 49370 /usr/lib/libfontconfig.so.1.3.0 7f780a303000-7f780a502000 ---p 00030000 08:01 49370 /usr/lib/libfontconfig.so.1.3.0 7f780a502000-7f780a504000 rw-p 0002f000 08:01 49370 /usr/lib/libfontconfig.so.1.3.0 7f780a504000-7f780a50d000 r-xp 00000000 08:01 55215 /usr/lib/libXrender.so.1.3.0 7f780a50d000-7f780a70c000 ---p 00009000 08:01 55215 /usr/lib/libXr
ender.so.1.3.0 7f780a70c000-7f780a70d000 rw-p 00008000 08:01 55215 /usr/lib/libXrender.so.1.3.0 7f780a70d000-7f780a724000 r-xp 00000000 08:01 29217 /usr/lib/libICE.so.6.3.0 7f780a724000-7f780a923000 ---p 00017000 08:01 29217 /usr/lib/libICE.so.6.3.0 7f780a923000-7f780a924000 rw-p 00016000 08:01 29217 /usr/lib/libICE.so.6.3.0 7f780a924000-7f780a928000 rw-p 00000000 00:00 0 7f780a928000-7f780a92f000 r-xp 00000000 08:01 27646 /usr/lib/libSM.so.6.0.1 7f780a92f000-7f780ab2f000 ---p 00007000 08:01 27646 /usr/lib/libSM.so.6.0.1 7f780ab2f000-7f780ab30000 rw-p 00007000 08:01 27646 /usr/lib/libSM.so.6.0.1 7f780ab30000-7f780ab71000 r-xp 00000000 08:01 35643 /usr/lib/libgobject-2.0.so.0.2200.2 7f780ab71000-7f780ad71000 ---p 00041000 08:01 35643 /usr/lib/libgobject-2.0.so.0.2200.2 7f780ad71000-7f780ad73000 rw-p 00041000 08:01 35643
/usr/lib/libgobject-2.0.so.0.2200.2 7f780ad73000-7f780ae04000 r-xp 00000000 08:01 48893 /usr/lib/libfreetype.so.6.3.22 7f780ae04000-7f780b003000 ---p 00091000 08:01 48893 /usr/lib/libfreetype.so.6.3.22 7f780b003000-7f780b009000 rw-p 00090000 08:01 48893 /usr/lib/libfreetype.so.6.3.22 7f780b009000-7f780b031000 r-xp 00000000 08:01 12206 /usr/lib/libpng12.so.0.39.0 7f780b031000-7f780b230000 ---p 00028000 08:01 12206 /usr/lib/libpng12.so.0.39.0 7f780b230000-7f780b231000 rw-p 00027000 08:01 12206 /usr/lib/libpng12.so.0.39.0 7f780b231000-7f780b247000 r-xp 00000000 08:01 1035 /usr/lib/libgcc_s.so.1 7f780b247000-7f780b446000 ---p 00016000 08:01 1035 /usr/lib/libgcc_s.so.1 7f780b446000-7f780b447000 rw-p 00015000 08:01 1035 /usr/lib/libgcc_s.so.1 7f780b447000-7f780b539000 r-xp 00000000 08:01 8846
/usr/lib/libstdc++.so.6.0.13 7f780b539000-7f780b739000 ---p 000f2000 08:01 8846 /usr/lib/libstdc++.so.6.0.13 7f780b739000-7f780b740000 r--p 000f2000 08:01 8846 /usr/lib/libstdc++.so.6.0.13 7f780b740000-7f780b742000 rw-p 000f9000 08:01 8846 /usr/lib/libstdc++.so.6.0.13 7f780b742000-7f780b757000 rw-p 00000000 00:00 0 7f780b757000-7f780b97e000 r-xp 00000000 08:01 3153 /usr/lib/libQtCore.so.4.5.3 7f780b97e000-7f780bb7d000 ---p 00227000 08:01 3153 /usr/lib/libQtCore.so.4.5.3 7f780bb7d000-7f780bb87000 rw-p 00226000 08:01 3153 /usr/lib/libQtCore.so.4.5.3 7f780bb87000-7f780bb88000 rw-p 00000000 00:00 0 7f780bb88000-7f780c4e6000 r-xp 00000000 08:01 13479 /usr/lib/libQtGui.so.4.5.3 7f780c4e6000-7f780c6e5000 ---p 0095e000 08:01 13479 /usr/lib/libQtGui.so.4.5.3 7f780c6e5000-7f780c724000 rw-p 0095d000 08:01 13479 /usr/lib/
libQtGui.so.4.5.3 7f780c724000-7f780c727000 rw-p 00000000 00:00 0 7f780c727000-7f780c77a000 r-xp 00000000 08:01 13485 /usr/lib/libQtSvg.so.4.5.3 7f780c77a000-7f780c97a000 ---p 00053000 08:01 13485 /usr/lib/libQtSvg.so.4.5.3 7f780c97a000-7f780c97d000 rw-p 00053000 08:01 13485 /usr/lib/libQtSvg.so.4.5.3 7f780c97d000-7f780c9bf000 r-xp 00000000 08:01 13484 /usr/lib/libQtXml.so.4.5.3 7f780c9bf000-7f780cbbf000 ---p 00042000 08:01 13484 /usr/lib/libQtXml.so.4.5.3 7f780cbbf000-7f780cbc1000 rw-p 00042000 08:01 13484 /usr/lib/libQtXml.so.4.5.3 7f780cbc1000-7f780cbd1000 r-xp 00000000 08:01 206347 /usr/lib/mlt/libmltqimage.so 7f780cbd1000-7f780cdd0000 ---p 00010000 08:01 206347 /usr/lib/mlt/libmltqimage.so 7f780cdd0000-7f780cdd1000 rw-p 0000f000 08:01 206347 /usr/lib/mlt/libmltqimage.so 7f780cdd1000-7f780cdd6000 r-xp 00000000 08:01 29071
/usr/lib/libogg.so.0.6.0 7f780cdd6000-7f780cfd5000 ---p 00005000 08:01 29071 /usr/lib/libogg.so.0.6.0 7f780cfd5000-7f780cfd6000 rw-p 00004000 08:01 29071 /usr/lib/libogg.so.0.6.0 7f780cfd6000-7f780d002000 r-xp 00000000 08:01 29076 /usr/lib/libvorbis.so.0.4.3 7f780d002000-7f780d201000 ---p 0002c000 08:01 29076 /usr/lib/libvorbis.so.0.4.3 7f780d201000-7f780d202000 rw-p 0002b000 08:01 29076 /usr/lib/libvorbis.so.0.4.3 7f780d202000-7f780d209000 r-xp 00000000 08:01 29078 /usr/lib/libvorbisfile.so.3.3.2 7f780d209000-7f780d408000 ---p 00007000 08:01 29078 /usr/lib/libvorbisfile.so.3.3.2 7f780d408000-7f780d409000 rw-p 00006000 08:01 29078 /usr/lib/libvorbisfile.so.3.3.2 7f780d409000-7f780d40b000 r-xp 00000000 08:01 206346 /usr/lib/mlt/libmltvorbis.so 7f780d40b000-7f780d60b000 ---p 00002000 08:01 206346
/usr/lib/mlt/libmltvorbis.so 7f780d60b000-7f780d60c000 rw-p 00002000 08:01 206346 /usr/lib/mlt/libmltvorbis.so 7f780d60c000-7f780d611000 r-xp 00000000 08:01 206345 /usr/lib/mlt/libmltplus.so 7f780d611000-7f780d810000 ---p 00005000 08:01 206345 /usr/lib/mlt/libmltplus.so 7f780d810000-7f780d811000 rw-p 00004000 08:01 206345 /usr/lib/mlt/libmltplus.so 7f780d811000-7f780d841000 r-xp 00000000 08:01 10591 /lib/libpcre.so.0.0.1 7f780d841000-7f780da40000 ---p 00030000 08:01 10591 /lib/libpcre.so.0.0.1 7f780da40000-7f780da41000 rw-p 0002f000 08:01 10591 /lib/libpcre.so.0.0.1 7f780da41000-7f780da56000 r-xp 00000000 08:01 6700 /usr/lib/libz.so.1.2.3.3 7f780da56000-7f780dc55000 ---p 00015000 08:01 6700 /usr/lib/libz.so.1.2.3.3 7f780dc55000-7f780dc56000 rw-p 00014000 08:01 6700 /usr/lib/libz.so.1.2.3.3 7f
780dc56000-7f780dc5d000 r-xp 00000000 08:01 736 /lib/librt-2.10.1.so 7f780dc5d000-7f780de5c000 ---p 00007000 08:01 736 /lib/librt-2.10.1.so 7f780de5c000-7f780de5d000 r--p 00006000 08:01 736 /lib/librt-2.10.1.so 7f780de5d000-7f780de5e000 rw-p 00007000 08:01 736 /lib/librt-2.10.1.so 7f780de5e000-7f780df20000 r-xp 00000000 08:01 35647 /usr/lib/libglib-2.0.so.0.2200.2 7f780df20000-7f780e11f000 ---p 000c2000 08:01 35647 /usr/lib/libglib-2.0.so.0.2200.2 7f780e11f000-7f780e121000 rw-p 000c1000 08:01 35647 /usr/lib/libglib-2.0.so.0.2200.2 7f780e121000-7f780e262000 r-xp 00000000 08:01 26631 /usr/lib/libxml2.so.2.7.6 7f780e262000-7f780e462000 ---p 00141000 08:01 26631 /usr/lib/libxml2.so.2.7.6 7f780e462000-7f780e46b000 rw-p 00141000 08:01 26631 /usr/lib/libxml2.so.2.7.6 7f780e46b000-7f780e46d000 rw-p 0000
0000 00:00 0 7f780e46d000-7f780e47e000 r-xp 00000000 08:01 40956 /usr/lib/libjack.so.0.0.28 7f780e47e000-7f780e67e000 ---p 00011000 08:01 40956 /usr/lib/libjack.so.0.0.28 7f780e67e000-7f780e680000 rw-p 00011000 08:01 40956 /usr/lib/libjack.so.0.0.28 7f780e680000-7f780e688000 rw-p 00000000 00:00 0 7f780e688000-7f780e693000 r-xp 00000000 08:01 159316 /usr/lib/mlt/libmltjackrack.so 7f780e693000-7f780e892000 ---p 0000b000 08:01 159316 /usr/lib/mlt/libmltjackrack.so 7f780e892000-7f780e893000 rw-p 0000a000 08:01 159316 /usr/lib/mlt/libmltjackrack.so 7f780e893000-7f780e898000 r-xp 00000000 08:01 53270 /usr/lib/libXdmcp.so.6.0.0 7f780e898000-7f780ea97000 ---p 00005000 08:01 53270 /usr/lib/libXdmcp.so.6.0.0 7f780ea97000-7f780ea98000 rw-p 00004000 08:01 53270 /usr/lib/libXdmcp.so.6.0.0 7f780ea98000-7f780ea9a000 r-xp 00000000 08:01 292
28 /usr/lib/libXau.so.6.0.0 7f780ea9a000-7f780ec99000 ---p 00002000 08:01 29228 /usr/lib/libXau.so.6.0.0 7f780ec99000-7f780ec9a000 rw-p 00001000 08:01 29228 /usr/lib/libXau.so.6.0.0 7f780ec9a000-7f780ed1b000 r-xp 00000000 08:01 714 /lib/libm-2.10.1.so 7f780ed1b000-7f780ef1a000 ---p 00081000 08:01 714 /lib/libm-2.10.1.so 7f780ef1a000-7f780ef1b000 r--p 00080000 08:01 714 /lib/libm-2.10.1.so 7f780ef1b000-7f780ef1c000 rw-p 00081000 08:01 714 /lib/libm-2.10.1.so 7f780ef1c000-7f780ef37000 r-xp 00000000 08:01 21277 /usr/lib/libxcb.so.1.1.0 7f780ef37000-7f780f137000 ---p 0001b000 08:01 21277 /usr/lib/libxcb.so.1.1.0 7f780f137000-7f780f138000 rw-p 0001b000 08:01 21277 /usr/lib/libxcb.so.1.1.0 7f780f138000-7f780f143000 r-xp 00000000 08:01 343 /usr/lib/libSDL_image-1.2.so.0.1.6 7f780
f143000-7f780f343000 ---p 0000b000 08:01 343 /usr/lib/libSDL_image-1.2.so.0.1.6 7f780f343000-7f780f344000 rw-p 0000b000 08:01 343 /usr/lib/libSDL_image-1.2.so.0.1.6 7f780f344000-7f780f354000 rw-p 00000000 00:00 0 7f780f354000-7f780f3bc000 r-xp 00000000 08:01 70324 /usr/lib/libSDL-1.2.so.0.11.3 7f780f3bc000-7f780f5bb000 ---p 00068000 08:01 70324 /usr/lib/libSDL-1.2.so.0.11.3 7f780f5bb000-7f780f5bd000 rw-p 00067000 08:01 70324 /usr/lib/libSDL-1.2.so.0.11.3 7f780f5bd000-7f780f5eb000 rw-p 00000000 00:00 0 7f780f5eb000-7f780f71e000 r-xp 00000000 08:01 21343 /usr/lib/libX11.so.6.3.0 7f780f71e000-7f780f91e000 ---p 00133000 08:01 21343 /usr/lib/libX11.so.6.3.0 7f780f91e000-7f780f924000 rw-p 00133000 08:01 21343 /usr/lib/libX11.so.6.3.0 7f780f924000-7f780f92d000 r-xp 00000000 08:01 159315 /usr/lib/mlt/libmltsdl.so 7f780f92d000-
7f780fb2d000 ---p 00009000 08:01 159315 /usr/lib/mlt/libmltsdl.so 7f780fb2d000-7f780fb2e000 rw-p 00009000 08:01 159315 /usr/lib/mlt/libmltsdl.so 7f780fb2e000-7f780fb32000 r-xp 00000000 08:01 159314 /usr/lib/mlt/libmltdgraft.so 7f780fb32000-7f780fd31000 ---p 00004000 08:01 159314 /usr/lib/mlt/libmltdgraft.so 7f780fd31000-7f780fd32000 rw-p 00003000 08:01 159314 /usr/lib/mlt/libmltdgraft.so 7f780fd32000-7f780fd34000 r-xp 00000000 08:01 745 /lib/libdl-2.10.1.so 7f780fd34000-7f780ff34000 ---p 00002000 08:01 745 /lib/libdl-2.10.1.so 7f780ff34000-7f780ff35000 r--p 00002000 08:01 745 /lib/libdl-2.10.1.so 7f780ff35000-7f780ff36000 rw-p 00003000 08:01 745 /lib/libdl-2.10.1.so 7f780ff36000-7f7810080000 r-xp 00000000 08:01 744 /lib/libc-2.10.1.so 7f7810080000-7f781027f000 ---p 0014a000 08:01 744
/lib/libc-2.10.1.so 7f781027f000-7f7810283000 r--p 00149000 08:01 744 /lib/libc-2.10.1.so 7f7810283000-7f7810284000 rw-p 0014d000 08:01 744 /lib/libc-2.10.1.so 7f7810284000-7f7810289000 rw-p 00000000 00:00 0 7f7810289000-7f781029f000 r-xp 00000000 08:01 735 /lib/libpthread-2.10.1.so 7f781029f000-7f781049e000 ---p 00016000 08:01 735 /lib/libpthread-2.10.1.so 7f781049e000-7f781049f000 r--p 00015000 08:01 735 /lib/libpthread-2.10.1.so 7f781049f000-7f78104a0000 rw-p 00016000 08:01 735 /lib/libpthread-2.10.1.so 7f78104a0000-7f78104a4000 rw-p 00000000 00:00 0 7f78104a4000-7f78104c4000 r-xp 00000000 08:01 58188 /usr/lib/libmlt.so.0.4.7 7f78104c4000-7f78106c4000 ---p 00020000 08:01 58188 /usr/lib/libmlt.so.0.4.7 7f78106c4000-7f78106c5000 rw-p 00020000 08:01 58188 /usr/lib/libmlt.so.0.4.7 7f78106c5000-7f78106e
2000 r-xp 00000000 08:01 705 /lib/ld-2.10.1.so 7f781083d000-7f7810884000 rw-p 00000000 00:00 0 7f78108b7000-7f78108ba000 rw-p 00000000 00:00 0 7f78108e0000-7f78108e1000 rw-p 00000000 00:00 0 7f78108e1000-7f78108e2000 r--p 0001c000 08:01 705 /lib/ld-2.10.1.so 7f78108e2000-7f78108e3000 rw-p 0001d000 08:01 705 /lib/ld-2.10.1.so 7fffa21e7000-7fffa21fb000 rwxp 00000000 00:00 0 [stack] 7fffa21fb000-7fffa21fd000 rw-p 00000000 00:00 0 7fffa21ff000-7fffa2200000 r-xp 00000000 00:00 0 [vdso] ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
Steps To ReproduceRender any file (tested with AVCHD footage only)
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
duplicate of 0001282closedddennedy Rendering aborts at the end with a buffer overflow when rendering some formats 
duplicate of 0001242closedddennedy Rendering fails for xvid and mpeg4 

-  Notes
(0004421)
ttill (developer)
2009-12-08 21:56

This has been fixed in mlt.
(Same as 1242 and 1282)

- Issue History
Date Modified Username Field Change
2009-11-07 19:46 ttill New Issue
2009-11-07 19:46 ttill Build/Install Method => Manual build from SVN
2009-12-08 21:56 ttill Note Added: 0004421
2009-12-09 15:18 j-b-m Relationship added duplicate of 0001282
2009-12-09 15:19 j-b-m Relationship added duplicate of 0001242
2009-12-09 15:19 j-b-m Status new => resolved
2009-12-09 15:19 j-b-m Resolution open => fixed
2009-12-09 15:19 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker